#
# spec file for package labtool
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           labtool
Version:        1.2
Release:        2.77
License:        Apache-2.0
Summary:        Signal analyzer
Url:            https://github.com/embeddedartists/labtool
Group:          Hardware
Source:         https://github.com/embeddedartists/labtool/archive/v%{version}.tar.gz#/labtool-%{version}.tar.gz
# PATCH-FEATURE-UPSTREAM labtool_macosx.patch
Patch0:         labtool_macosx.patch
# PATCH-FIX-UPSTREAM labtool_dfu-util_permissions.patch
Patch1:         labtool_dfu-util_permissions.patch
# PATCH-FIX-UPSTREAM labtool_firmware_path.patch
Patch2:         labtool_firmware_path.patch
# PATCH-FIX-UPSTREAM labtool_dfu-util_wait.patch
Patch3:         labtool_dfu-util_wait.patch
# PATCH-FIX-UPSTREAM labtool_dfu-util_path.patch
Patch4:         labtool_dfu-util_path.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libqt4-devel
BuildRequires:  libudev-devel
BuildRequires:  libusb-1_0-devel
BuildRequires:  pkgconfig(udev)
Requires:       dfu-util
Requires(post): udev
Requires(postun): udev

%define _udevdir %(pkg-config --variable udevdir udev)

%description
LabTool

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# Obsoleted by commit 84ba8292c4d70543f039c46585136ac551cd9ff0
rm -f app/libusbx/Linux/*.a

rm -rf tools/dfu-util-0.7-binaries/

%build
pushd app
qmake LabTool.pro
make
popd

cat > 10-labtool.rules <<EOF
# Allow group plugdev to access the LabTool Hardware (1fc9:0018)
ACTION=="add", SUBSYSTEM=="usb", ATTRS{idVendor}=="1fc9", ATTRS{idProduct}=="0018", MODE="664", GROUP="users"

# Allow group plugdev to access the LPC DFU device (1fc9:000c)
ACTION=="add", SUBSYSTEM=="usb", ATTRS{idVendor}=="1fc9", ATTRS{idProduct}=="000c", MODE="664", GROUP="users"
EOF

%install
mkdir -p %{buildroot}%{_bindir}
pushd app
install -m 755 LabTool %{buildroot}%{_bindir}/LabTool
popd

mkdir -p %{buildroot}%{_udevdir}/rules.d
install -m 644 10-labtool.rules %{buildroot}%{_udevdir}/rules.d/10-labtool.rules

%post
%udev_rules_update

%postun
%udev_rules_update

%files
%defattr(-,root,root,-)
%{_bindir}/LabTool
%{_udevdir}/rules.d/10-labtool.rules

%changelog
* Tue Dec 20 2016 afaerber@suse.de
- Install 10-labtool.rules for device permissions
* Wed May  6 2015 afaerber@suse.de
- Initial
